const config = require("../config/config.js")
const Http = require("./HttpBasics.js")
function order(id) {//支付
    Http.post({//下订单
        url:config.api.order,
        data:{
            couponId:this.data.id
        }
    }).then(res=>{
        console.log(res.data,"订单成功");
        let id = res.data.id
        console.log(id);
        Http.post({//拿orderInfo
            url:config.api.pay,
            data:{
                orderId:res.data.id
            }
        }).then(item=>{
            console.log(item,"orderId");
            tt.pay({
                service: 5,
                orderInfo:{
                    order_id:item.data.orderId,
                    order_token:item.data.token,
                },
                success(res) {
                    if (res.code === 0) {
                        tt.showToast({
                          title: '支付成功！', // 内容
                        });
                       
                      // 支付成功处理逻辑，只有res.code=0时，才表示支付成功
                      // 但是最终状态要以商户后端结果为准
                    }else if(res.code === 1){
                        tt.showToast({
                            title: '支付超时', // 内容
                            icon:"none"
                          });
                        Http.post({
                            url:config.api.ifPayOk,
                            data:{
                                code:1,
                                orderId:res.data.id
                            }
                        })
                    }else if(res.code === 2){
                        tt.showToast({
                            title: '支付失败', // 内容
                            icon:"none"
                          });
                    }else if(res.code === 3){
                        tt.showToast({
                            title: '支付关闭', // 内容
                            icon:"none"
                          });
                    }else if(res.code === 4){
                        tt.showToast({
                            title: '支付取消', // 内容
                            icon:"none"
                          });
                    }else if(res.code === 9){
                        tt.showToast({
                            title: '订单状态开发者自行获取', // 内容
                            icon:"none"
                          });
                    }
                  },
                  fail(res) {
                    // handle fail
                  },
            })
        }).catch(err=>{
            tt.showToast({
                title: '唤起支付失败', // 内容
                icon:"none"
              });
        })
    }).catch(err=>{
        tt.showToast({
          title: err.message, // 内容
          icon:"none"
        });
    })
}
module.exports={
    order
}